> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stan-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates API settings



## OpenAPI

````yaml put /v1/apis
openapi: 3.0.0
info:
  description: Stan Client API
  version: 1.0.0
  title: Stan API
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.stan-app.fr
security: []
externalDocs:
  description: Find out more about Stan
  url: https://doc.stan-app.fr
paths:
  /v1/apis:
    put:
      tags:
        - settings
      summary: Updates API settings
      operationId: updateApiSettings
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiSettingsRequestBody'
      responses:
        '200':
          description: Successful operation
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '500':
          $ref: '#/components/responses/500'
      security:
        - stan_basic_auth: []
components:
  schemas:
    ApiSettingsRequestBody:
      title: An API settings request body
      type: object
      properties:
        webhook_url:
          type: string
          format: uri
          description: >-
            Payment webhook to be notified when a payment status is updated. Use
            this to update your order status when a payment has been made
  responses:
    '400':
      description: Bad data format
    '401':
      description: >-
        Unauthorized, please provided api client_id and client_secret as Basic
        auth
    '500':
      description: The servers encountered an alien
  securitySchemes:
    stan_basic_auth:
      type: http
      scheme: basic

````